<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::applicationUtilities::androidUtilities::test::AndroidSLESMicrophoneTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities.html">applicationUtilities</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities.html">androidUtilities</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_microphone_test.html">AndroidSLESMicrophoneTest</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_microphone_test-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::applicationUtilities::androidUtilities::test::AndroidSLESMicrophoneTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for alexaClientSDK::applicationUtilities::androidUtilities::test::AndroidSLESMicrophoneTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_795b12b80170ba4b982ee485e5805ff1.png" border="0" usemap="#alexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_microphone_test_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_microphone_test_inherit__map" id="alexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_microphone_test_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::applicationUtilities::androidUtilities::test::AndroidSLESMicrophoneTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_microphone_test__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_microphone_test_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_microphone_test_coll__map" id="alexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_microphone_test_coll__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a21dc7a33cb31cd2310d8dfafde448b01"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_microphone_test.html#a21dc7a33cb31cd2310d8dfafde448b01">TearDown</a> ()</td></tr>
<tr class="separator:a21dc7a33cb31cd2310d8dfafde448b01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04c1f272fce95dbd5406cb37ffe498ad"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_microphone_test.html#a04c1f272fce95dbd5406cb37ffe498ad">SetUp</a> ()</td></tr>
<tr class="separator:a04c1f272fce95dbd5406cb37ffe498ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a4eba6d8c25bef825def44af05248206b"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a0e5ba82a4fcf54f83464cb9a9d944e91">avsCommon::avs::AudioInputStream</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_microphone_test.html#a4eba6d8c25bef825def44af05248206b">m_stream</a></td></tr>
<tr class="memdesc:a4eba6d8c25bef825def44af05248206b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to the audio input stream.  <a href="#a4eba6d8c25bef825def44af05248206b">More...</a><br /></td></tr>
<tr class="separator:a4eba6d8c25bef825def44af05248206b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa873244476d2e1386614f5ad96d1d11b"><td class="memItemLeft" align="right" valign="top">std::unique_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1_android_s_l_e_s_microphone.html">AndroidSLESMicrophone</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_microphone_test.html#aa873244476d2e1386614f5ad96d1d11b">m_mic</a></td></tr>
<tr class="memdesc:aa873244476d2e1386614f5ad96d1d11b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Object under test.  <a href="#aa873244476d2e1386614f5ad96d1d11b">More...</a><br /></td></tr>
<tr class="separator:aa873244476d2e1386614f5ad96d1d11b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d40f00840457cd5b3f46471ca83f6f8"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream_1_1_reader.html">avsCommon::avs::AudioInputStream::Reader</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_microphone_test.html#a8d40f00840457cd5b3f46471ca83f6f8">m_reader</a></td></tr>
<tr class="memdesc:a8d40f00840457cd5b3f46471ca83f6f8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to an audio input stream reader used to check writting results.  <a href="#a8d40f00840457cd5b3f46471ca83f6f8">More...</a><br /></td></tr>
<tr class="separator:a8d40f00840457cd5b3f46471ca83f6f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0978748f6f6a4338e7cca1e0718e1226"><td class="memItemLeft" align="right" valign="top">std::array&lt; uint16_t, <a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#afd5a880ec38faf29b4f8199fc464bcb0">TEST_BUFFER_SIZE</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test_1_1_android_s_l_e_s_microphone_test.html#a0978748f6f6a4338e7cca1e0718e1226">m_testBuffer</a></td></tr>
<tr class="memdesc:a0978748f6f6a4338e7cca1e0718e1226"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test buffer that will be used by the reader.  <a href="#a0978748f6f6a4338e7cca1e0718e1226">More...</a><br /></td></tr>
<tr class="separator:a0978748f6f6a4338e7cca1e0718e1226"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">This class tests the entire <code><a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1_android_s_l_e_s_microphone.html">AndroidSLESMicrophone</a></code> together with the OpenSL ES NDK implementation. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a04c1f272fce95dbd5406cb37ffe498ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04c1f272fce95dbd5406cb37ffe498ad">&#9670;&nbsp;</a></span>SetUp()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void alexaClientSDK::applicationUtilities::androidUtilities::test::AndroidSLESMicrophoneTest::SetUp </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Create android microphone. </p>

</div>
</div>
<a id="a21dc7a33cb31cd2310d8dfafde448b01"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a21dc7a33cb31cd2310d8dfafde448b01">&#9670;&nbsp;</a></span>TearDown()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void alexaClientSDK::applicationUtilities::androidUtilities::test::AndroidSLESMicrophoneTest::TearDown </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Reset all shared pointers. </p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="aa873244476d2e1386614f5ad96d1d11b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa873244476d2e1386614f5ad96d1d11b">&#9670;&nbsp;</a></span>m_mic</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::unique_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1_android_s_l_e_s_microphone.html">AndroidSLESMicrophone</a>&gt; alexaClientSDK::applicationUtilities::androidUtilities::test::AndroidSLESMicrophoneTest::m_mic</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Object under test. </p>

</div>
</div>
<a id="a8d40f00840457cd5b3f46471ca83f6f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8d40f00840457cd5b3f46471ca83f6f8">&#9670;&nbsp;</a></span>m_reader</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream_1_1_reader.html">avsCommon::avs::AudioInputStream::Reader</a>&gt; alexaClientSDK::applicationUtilities::androidUtilities::test::AndroidSLESMicrophoneTest::m_reader</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Pointer to an audio input stream reader used to check writting results. </p>

</div>
</div>
<a id="a4eba6d8c25bef825def44af05248206b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4eba6d8c25bef825def44af05248206b">&#9670;&nbsp;</a></span>m_stream</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a0e5ba82a4fcf54f83464cb9a9d944e91">avsCommon::avs::AudioInputStream</a>&gt; alexaClientSDK::applicationUtilities::androidUtilities::test::AndroidSLESMicrophoneTest::m_stream</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Pointer to the audio input stream. </p>

</div>
</div>
<a id="a0978748f6f6a4338e7cca1e0718e1226"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0978748f6f6a4338e7cca1e0718e1226">&#9670;&nbsp;</a></span>m_testBuffer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::array&lt;uint16_t, <a class="el" href="namespacealexa_client_s_d_k_1_1application_utilities_1_1android_utilities_1_1test.html#afd5a880ec38faf29b4f8199fc464bcb0">TEST_BUFFER_SIZE</a>&gt; alexaClientSDK::applicationUtilities::androidUtilities::test::AndroidSLESMicrophoneTest::m_testBuffer</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Test buffer that will be used by the reader. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/ApplicationUtilities/AndroidUtilities/test/<a class="el" href="_android_s_l_e_s_microphone_test_8cpp.html">AndroidSLESMicrophoneTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
